Module | TkClipboard
In: | tk/lib/tk/clipboard.rb

### Methods

append append append_on_display clear clear clear_on_display get get get_on_display set set set_on_display

### Included Modules

Tk

### Constants

TkCommandNames | = | ['clipboard'.freeze].freeze

### Public Class methods

append(data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 47
      def self.append(data, keys=nil)
        args = ['clipboard', 'append']
        args.concat(hash_kv(keys))
        args.concat(['--', data])
        tk_call(*args)
      end

append_on_display(win, data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 53
      def self.append_on_display(win, data, keys=nil)
        args = ['clipboard', 'append', '-displayof', win]
        args.concat(hash_kv(keys))
        args.concat(['--', data])
        tk_call(*args)
      end

clear(win=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 12
      def self.clear(win=nil)
        if win
          tk_call_without_enc('clipboard', 'clear', '-displayof', win)
        else
          tk_call_without_enc('clipboard', 'clear')
        end
      end

clear_on_display(win)

[Source]

    # File tk/lib/tk/clipboard.rb, line 19
      def self.clear_on_display(win)
        tk_call_without_enc('clipboard', 'clear', '-displayof', win)
      end

get(type=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 23
      def self.get(type=nil)
        if type
          tk_call_without_enc('clipboard', 'get', '-type', type)
        else
          tk_call_without_enc('clipboard', 'get')
        end
      end

get_on_display(win, type=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 30
      def self.get_on_display(win, type=nil)
        if type
          tk_call_without_enc('clipboard', 'get', '-displayof', win, '-type', type)
        else
          tk_call_without_enc('clipboard', 'get', '-displayof', win)
        end
      end

set(data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 38
      def self.set(data, keys=nil)
        clear
        append(data, keys)
      end

set_on_display(win, data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 42
      def self.set_on_display(win, data, keys=nil)
        clear(win)
        append_on_display(win, data, keys)
      end

### Public Instance methods

append(data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 71
      def append(data, keys=nil)
        TkClipboard.append_on_display(self, data, keys)
        self
      end

clear()

[Source]

    # File tk/lib/tk/clipboard.rb, line 60
      def clear
        TkClipboard.clear_on_display(self)
        self
      end

get(type=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 64
      def get(type=nil)
        TkClipboard.get_on_display(self, type)
      end

set(data, keys=nil)

[Source]

    # File tk/lib/tk/clipboard.rb, line 67
      def set(data, keys=nil)
        TkClipboard.set_on_display(self, data, keys)
        self
      end

[Validate]